: Class QuestionPopup

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.widgets
Class QuestionPopup

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--org.w3c.tools.widgets.QuestionPopup

public class QuestionPopup
extends java.awt.Dialog
implements java.awt.event.ActionListener

See Also:
  Serialized Form

Field Summary
`protected AnswerListener` | `answerListener`
`protected static java.lang.String` | `defaultNoMsg`
`protected static java.lang.String` | `defaultTitle`
`protected static java.lang.String` | `defaultYesMsg`
`protected java.awt.Button` | `noB`
`protected java.awt.Button` | `yesB`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`QuestionPopup(java.awt.Frame parent, java.lang.String question)`
`QuestionPopup(java.awt.Frame parent, java.lang.String question, boolean modal)`
`QuestionPopup(java.awt.Frame parent, java.lang.String title, java.lang.String question, boolean modal)`
`QuestionPopup(java.awt.Frame parent, java.lang.String title, java.lang.String question, java.lang.String yes, java.lang.String no, boolean modal)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent evt)` ActionListsner implementation - One of our button was fired.
`void` | `registerAnswerListener(AnswerListener listener)`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, paramString, setModal, setResizable, setTitle, show`

Methods inherited from class java.awt.Window
`addWindowListener, applyResourceBundle, applyResourceBundle, finalize, getFocusOwner, getInputContext, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, isShowing, pack, postEvent, processEvent, processWindowEvent, removeWindowListener, setCursor, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setFont, setLayout, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### yesB

    protected java.awt.Button yesB

### noB

    protected java.awt.Button noB

### defaultYesMsg

    protected static final java.lang.String defaultYesMsg

### defaultNoMsg

    protected static final java.lang.String defaultNoMsg

### defaultTitle

    protected static final java.lang.String defaultTitle

### answerListener

    protected AnswerListener answerListener

Constructor Detail

### QuestionPopup

    public QuestionPopup(java.awt.Frame parent,
                         java.lang.String question)

### QuestionPopup

    public QuestionPopup(java.awt.Frame parent,
                         java.lang.String question,
                         boolean modal)

### QuestionPopup

    public QuestionPopup(java.awt.Frame parent,
                         java.lang.String title,
                         java.lang.String question,
                         boolean modal)

### QuestionPopup

    public QuestionPopup(java.awt.Frame parent,
                         java.lang.String title,
                         java.lang.String question,
                         java.lang.String yes,
                         java.lang.String no,
                         boolean modal)

Method Detail

### registerAnswerListener

    public void registerAnswerListener(AnswerListener listener)

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  ActionListsner implementation - One of our button was fired.
  Specified by:
    actionPerformed in interface java.awt.event.ActionListener
  Parameters:
    `evt` - The ActionEvent.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD